# Add a batch attachment

Adds a single attachment to the batch by uploading it as multipart/form-data. The attachment is included in every notice generated from the batch.

Endpoint: POST /v2/EviNotice/Batches/{BatchId}/Attachments
Version: 1.0
Security: basicAuth

## Path parameters:

  - `BatchId` (string, required)

## Request fields (multipart/form-data):

  - `Content` (string, required)
    The attachment file content.

  - `DisplayName` (string)

  - `Filename` (string)

  - `ContentId` (string)
    A Content-ID that can be referenced with cid: in the body HTML to embed the attachment inline.

  - `MimeType` (string)

  - `ContentDescription` (string)

  - `ContentDisposition` (string)

  - `ContentLocation` (string)

  - `ContentEncoding` (string)

  - `IncludeOnAffidavits` (boolean)

## Response 200 fields (application/json):

  - `AttachmentId` (string)
    Unique identifier of the added attachment.


## Response 400 fields

## Response 401 fields

## Response 404 fields
